Package org.silverpeas.components.kmelia.stats

## Interface StatisticService

- All Known Implementing Classes:
    `StatisticServiceImpl`

      public interface StatisticService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getNbConsultedPublication​(StatsFilterVO statFilter)` |
    `Integer` | `getNbStatisticActivityByPeriod​(StatsFilterVO statFilter)` |
    `Integer` | `getNumberOfDifferentConsultedPublications​(StatsFilterVO statFilter)` |
    `StatisticActivityVO` | `getStatisticActivity​(StatsFilterVO statFilter)` |

- - ### Method Detail

    - #### getNbConsultedPublication

          Integer getNbConsultedPublication​(StatsFilterVO statFilter)

      Parameters:
        `statFilter` - the statistic filter (Date range, group identifier, application and topic identifier)
      Returns:
        the number of consulted publications (number of access to publications) which respect the statistic filter parameters. If statistic filter is null return -1.

    - #### getNbStatisticActivityByPeriod

          Integer getNbStatisticActivityByPeriod​(StatsFilterVO statFilter)

      Parameters:
        `statFilter` - the statistic filter (Date range, group identifier, application and topic identifier)
      Returns:
        the number of statistic activity it means the number of created or modified publication which respect the statistic filter given in parameter. If statistic filter is null return -1.

    - #### getStatisticActivity

          StatisticActivityVO getStatisticActivity​(StatsFilterVO statFilter)

      Parameters:
        `statFilter` - the statistic filter (Date range, group identifier, application and topic identifier)
      Returns:
        a StatisticActivityVO which contains the detail with number of created and the number of modified publications in a specific time interval (between statFilter.startDate and statFilter.endDate)

    - #### getNumberOfDifferentConsultedPublications

          Integer getNumberOfDifferentConsultedPublications​(StatsFilterVO statFilter)

      Parameters:
        `statFilter` - the statistic filter (Date range, application and topic identifier, group identifier)
      Returns:
        the number of different consulted publications. If statistic filter is null return -1.